Debian Bug report logs - #690159
ITP: nikola -- Static Site and Blog Generator

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Agustin Henze <tin@sluc.org.ar>

Date: Wed, 10 Oct 2012 15:24:04 UTC

Owned by: Agustin Henze <tin@sluc.org.ar>

Severity: wishlist

Fixed in version nikola/4.0.3-1

Done: <dererk@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#690159; Package wnpp. (Wed, 10 Oct 2012 15:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Agustin Henze <tin@sluc.org.ar>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Wed, 10 Oct 2012 15:24:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Agustin Henze <tin@sluc.org.ar>
To: submit@bugs.debian.org
Subject: ITP: nikola -- Static Site and Blog Generator
Date: Wed, 10 Oct 2012 12:22:08 -0300
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
X-Debbugs-CC: debian-devel@lists.debian.org

    Package name: nikola
         Version: 4.0.3
 Upstream Author: 2012, Roberto Alsina <http://ralsina.com.ar>
             URL: http://nikola.ralsina.com.ar
         License: GPL-3
     Description: Static Site and Blog Generator
 In goes content, out comes a website, ready to deploy.
 Why Static Websites?
  * Static websites are safer
  * use fewer resources
  * and avoid vendor and platform lockin.
 What Can Nikola Do?
  It has many features, but here are some of the nicer ones:
    * Blogs, with tags, feeds, archives, comments, etc.
    * Theming
    * Fast builds, thanks to doit
    * Flexible
    * Small codebase (programmers can understand all of Nikola in a
couple of
      hours)
    * reStructuredText or Markdown as input languages.
    * Easy image galleries (just drop files in a folder!)
    * Syntax highlighting for almost any programming language or markup
    * Multilingual sites
    * Doesn't reinvent wheels, leverages existing tools.
-- 
TiN

[signature.asc (application/pgp-signature, attachment)]

Owner recorded as Agustin Henze <tin@sluc.org.ar>. Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Wed, 10 Oct 2012 16:21:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 12 Oct 2012 07:06:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Agustin Henze <tin@sluc.org.ar>:
Bug#690159; Package wnpp. (Mon, 05 Nov 2012 09:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "W. Martin Borgert" <debacle@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Agustin Henze <tin@sluc.org.ar>. (Mon, 05 Nov 2012 09:42:02 GMT) Full text and rfc822 format available.

Message #14 received at 690159@bugs.debian.org (full text, mbox):

From: "W. Martin Borgert" <debacle@debian.org>
To: 690159@bugs.debian.org
Cc: anibal@debian.org, tin@sluc.org.ar
Subject: Embedded code copies in nikola
Date: Mon, 5 Nov 2012 10:35:09 +0100
Hi,

many thanks for packaging nikola. I just came across this
program and it seems to be the "modern version of WML" :~)

However, in the files list
http://ftp-master.debian.org/new/nikola_4.0.3-1.html
I found embedded code copies, which are frown upon in Debian:

 - jQuery (instead depend on libjs-jquery)
 - Bootstrap (instead depend on libjs-twitter-bootstrap)
 - colorbox (not yet in Debian, please package separately,
   AFAIK piwigo does use colorbox, too)

Also, when packaging minified JS or CSS files, one should not
use the minified versions from upstream, but minify them in
debian/rules. You need to build-depend e.g. on yui-compressor
and use it accordingly.

Thanks for considering and - again - for packaging nikola!



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#690159; Package wnpp. (Tue, 06 Nov 2012 11:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Agustin Henze <tin@sluc.org.ar>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 06 Nov 2012 11:33:03 GMT) Full text and rfc822 format available.

Message #19 received at 690159@bugs.debian.org (full text, mbox):

From: Agustin Henze <tin@sluc.org.ar>
To: "W. Martin Borgert" <debacle@debian.org>, 690159@bugs.debian.org
Cc: anibal@debian.org
Subject: Re: Bug#690159: Embedded code copies in nikola
Date: Tue, 06 Nov 2012 08:29:15 -0300
[Message part 1 (text/plain, inline)]
On 05/11/12 06:35, W. Martin Borgert wrote:
> Hi,
> 
> many thanks for packaging nikola. I just came across this
> program and it seems to be the "modern version of WML" :~)
> 
> However, in the files list
> http://ftp-master.debian.org/new/nikola_4.0.3-1.html
> I found embedded code copies, which are frown upon in Debian:
> 
>  - jQuery (instead depend on libjs-jquery)
>  - Bootstrap (instead depend on libjs-twitter-bootstrap)
>  - colorbox (not yet in Debian, please package separately,
>    AFAIK piwigo does use colorbox, too)
> 
> Also, when packaging minified JS or CSS files, one should not
> use the minified versions from upstream, but minify them in
> debian/rules. You need to build-depend e.g. on yui-compressor
> and use it accordingly.
> 
> Thanks for considering and - again - for packaging nikola!

Thanks for the explanation! :). Your report is so great! I followed your
recomendations and upload a new version. You can take a look
http://ftp-master.debian.org/new/nikola_4.0.3-2.html

Thanks,

-- 
TiN

[signature.asc (application/pgp-signature, attachment)]

Reply sent to <dererk@debian.org>:
You have taken responsibility. (Sat, 17 Nov 2012 11:03:16 GMT) Full text and rfc822 format available.

Notification sent to Agustin Henze <tin@sluc.org.ar>:
Bug acknowledged by developer. (Sat, 17 Nov 2012 11:03:16 GMT) Full text and rfc822 format available.

Message #24 received at 690159-close@bugs.debian.org (full text, mbox):

From: <dererk@debian.org>
To: 690159-close@bugs.debian.org
Subject: Bug#690159: fixed in nikola 4.0.3-1
Date: Sat, 17 Nov 2012 11:00:08 +0000
Source: nikola
Source-Version: 4.0.3-1

We believe that the bug you reported is fixed in the latest version of
nikola, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 690159@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
dererk@debian.org (supplier of updated nikola package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Wed, 09 Oct 2012 18:10:41 -0300
Source: nikola
Binary: nikola
Architecture: source all
Version: 4.0.3-1
Distribution: unstable
Urgency: low
Maintainer: Agustin Henze <tin@sluc.org.ar>
Changed-By: dererk@debian.org
Description: 
 nikola     - simple yet powerful and flexible static website and blog generato
Closes: 690159
Changes: 
 nikola (4.0.3-1) unstable; urgency=low
 .
   * Initial release (Closes: #690159).
Checksums-Sha1: 
 4b76ad995f6cf51998c819077b7ff8b8007c6a72 1818 nikola_4.0.3-1.dsc
 4c1ba84c3b8d5bdf5601f5906b46bb4266edebaf 443989 nikola_4.0.3.orig.tar.gz
 9926015739aa84152550fdec4a346a5fc7353525 5443 nikola_4.0.3-1.debian.tar.gz
 2d731b46ec48c5e984a6ffb115fd2950ca21198c 418954 nikola_4.0.3-1_all.deb
Checksums-Sha256: 
 5efd31ecc7bf37be48d7aa322cbf1f06c1373de713d310726b973d442e86a77c 1818 nikola_4.0.3-1.dsc
 12cd107e3e38294ccd5ea764bafd8762f15de1c59899aa79086a96153e24efe6 443989 nikola_4.0.3.orig.tar.gz
 57090ea51f3d072035bb346888350d88f65e7a83835a51d847dde6104701c420 5443 nikola_4.0.3-1.debian.tar.gz
 d2ee14ac0ec0eb2de2feac92afa0809be8a32845275a6551241a7a42baccc673 418954 nikola_4.0.3-1_all.deb
Files: 
 62ae5d144ea711d9ff327aa8d9a40ae5 1818 python optional nikola_4.0.3-1.dsc
 0795ceb87e0ff1265a7e5f3202c2f4ac 443989 python optional nikola_4.0.3.orig.tar.gz
 2bab600498d5c446f45fe8bffd0ed0fd 5443 python optional nikola_4.0.3-1.debian.tar.gz
 46f30ce72e5935337f801ba42c13f4e4 418954 python optional nikola_4.0.3-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJQpQASAAoJEGin9OG0lUUKAZMP/RweU3HFVuTc/3R8EjT2yIbF
+fyBxw0Mn8LcFejDet2vfwKBJWUnuVo3ZryPgZ0TJC/RfiAHotFaSOIyDQ3dolyX
Qt9KDBgutKuep+ffn+jCGC0JqVt2WQ5AkpIpoIdD/fM9ID829DYbRmteIIWBzJ6/
YXPoI2d/Nw1MhzBg8v0kCliIJNotI6MNqwV36A8+DI+Xjqo6Y6PRsMXvvtdMEHdT
2Igm6grQTmOooyN316gQa032YYsBrkAVAlw/kPCaoppBdbIuiCkONB7xiFDpsuvX
gio6CMS0DIfrlJQLcyKd+EVsvWtgaUifeyZPVJdWtRUwbkJOvwZJTbdFLV6ZrvVP
/why95v9FG6CQEHxYM/ohiQcDpkO5FWOhwiOAM6oEUXtXCds3Refw0qXxyy+N2cS
eZeibSU1lFnoTdI7CfUM2SZtVLUqaYyhW6CWoTWoncP1N4b0Il9A6uzW2eZvHybe
zLCdu1jhyfp0PMvWkkoptydcI9xQ8AuR5JkL4tOj2Fv97NQnCHNnEcd/aIDXbV+0
CbfC09RpN47MW3fZgx5dFUBeJyg31Mz1URNaZMA6zsUDyNKNE7lsEb6FMsRQXhAW
CciFw18lYUsqm544vW2WREMG5GxV4ppnBKHOXkgcQrKhxzRHakVrtfkU5r7PGU5y
yZPOwM5xRSER3hfztos4
=5zx7
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 16 Dec 2012 07:27:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:28:24 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.